"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "DropdownEditor", {
    enumerable: true,
    get: function() {
        return DropdownEditor;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _fieldeditorshared = require("@contentful/field-editor-shared");
const _dropdownUtils = require("./dropdownUtils");
const _styles = /*#__PURE__*/ _interop_require_wildcard(require("./styles"));
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
function DropdownEditor(props) {
    const { field, locales, id } = props;
    const options = (0, _dropdownUtils.getOptions)(field);
    const misconfigured = options.length === 0;
    if (misconfigured) {
        return /*#__PURE__*/ _react.createElement(_fieldeditorshared.PredefinedValuesError, null);
    }
    const direction = locales.direction[field.locale] || 'ltr';
    return /*#__PURE__*/ _react.createElement(_fieldeditorshared.FieldConnector, {
        debounce: 0,
        field: field,
        isInitiallyDisabled: props.isInitiallyDisabled
    }, ({ value, errors, disabled, setValue })=>/*#__PURE__*/ _react.createElement(_f36components.Select, {
            testId: "dropdown-editor",
            id: id,
            isInvalid: errors.length > 0,
            isDisabled: disabled,
            className: direction === 'rtl' ? _styles.rightToLeft : '',
            isRequired: field.required,
            value: value === undefined ? '' : String(value),
            onChange: (e)=>{
                const value = e.target.value;
                setValue((0, _dropdownUtils.parseValue)(value, field.type));
            }
        }, /*#__PURE__*/ _react.createElement(_f36components.Select.Option, {
            value: ""
        }, "Choose a value"), options.map((option)=>/*#__PURE__*/ _react.createElement(_f36components.Select.Option, {
                key: option.value,
                value: String(option.value)
            }, option.label))));
}
DropdownEditor.defaultProps = {
    isInitiallyDisabled: true
};
