"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    getOptions: function() {
        return getOptions;
    },
    parseValue: function() {
        return parseValue;
    }
});
const _nanoid = require("nanoid");
function parseValue(value, fieldType) {
    if (value === '') {
        return undefined;
    }
    if (fieldType === 'Integer' || fieldType === 'Number') {
        const asNumber = Number(value);
        return isNaN(asNumber) ? undefined : asNumber;
    }
    return value;
}
function getOptions(field) {
    const validations = field.validations || [];
    const predefinedValues = validations.filter((validation)=>validation.in).map((validation)=>validation.in);
    const firstPredefinedValues = predefinedValues.length > 0 ? predefinedValues[0] : [];
    return firstPredefinedValues.map((value)=>({
            id: (0, _nanoid.nanoid)(6),
            value: parseValue(value, field.type),
            label: String(value)
        })).filter((item)=>{
        return item.value !== undefined;
    });
}
