import { nanoid } from 'nanoid';
export function parseValue(value, fieldType) {
    if (value === '') {
        return undefined;
    }
    if (fieldType === 'Integer' || fieldType === 'Number') {
        const asNumber = Number(value);
        return isNaN(asNumber) ? undefined : asNumber;
    }
    return value;
}
export function getOptions(field) {
    const validations = field.validations || [];
    const predefinedValues = validations.filter((validation)=>validation.in).map((validation)=>validation.in);
    const firstPredefinedValues = predefinedValues.length > 0 ? predefinedValues[0] : [];
    return firstPredefinedValues.map((value)=>({
            id: nanoid(6),
            value: parseValue(value, field.type),
            label: String(value)
        })).filter((item)=>{
        return item.value !== undefined;
    });
}
